using System;
using UIKit;
using Foundation;
using System.Collections.Generic;

namespace Infragistics
{
	public class IGSalesmanItem : NSObject
	{
		string _imageName;

		[Export("yearToDateSales")]
		public int YearToDateSales {
			get;
			set;
		}

		[Export("territory")]
		public string Territory {
			get;
			set;
		}

		[Export("lastName")]
		public string LastName {
			get;
			set;
		}


		[Export("firstName")]
		public string FirstName {
			get;
			set;
		}

		public IGSalesmanItem()
		{
		

		}

		public static List<IGSalesmanItem> GenerateData(int count)
		{
			List<string> firstNames = new List<string> () {
				"Kyle",
				"Gina",
				"Irene",
				"Katie",
				"Michael",
				"Oscar",
				"Ralph",
				"Torrey",
				"William",
				"Bill",
				"Daniel",
				"Frank",
				"Brenda",
				"Danielle",
				"Fiona",
				"Howard",
				"Jack",
				"Larry",
				"Holly",
				"Jennifer",
				"Liz",
				"Pete",
				"Steve",
				"Vince",
				"Zeke"
			};

			List<string> lastNames = new List<string> () {
				"Adams",
				"Crowley",
				"Ellis",
				"Gable",
				"Irvine",
				"Keefe",
				"Mendoza",
				"Owens",
				"Rooney",
				"Waddell",
				"Thomas",
				"Betts",
				"Doran",
				"Fitzgerald",
				"Holmes",
				"Jefferson",
				"Landry",
				"Newberry",
				"Perez",
				"Spencer",
				"Vargas",
				"Grimes",
				"Edwards",
				"Stark",
				"Cruise",
				"Fitz",
				"Chief",
				"Blanc",
				"Perry",
				"Stone",
				"Williams",
				"Lane",
				"Jobs"
			};

			List<string> genders = new List<string> () {
				"GUY",
				"GIRL",
				"GIRL",
				"GIRL",
				"GUY",
				"GUY",
				"GUY",
				"GUY",
				"GUY",
				"GUY",
				"GUY",
				"GUY",
				"GIRL",
				"GIRL",
				"GIRL",
				"GUY",
				"GUY",
				"GUY",
				"GIRL",
				"GIRL",
				"GIRL",
				"GUY",
				"GUY",
				"GUY",
				"GUY"
			};

			List<string> territories = new List<string> () {
				"Australia",
				"Canada",
				"Egypt",
				"Greece",
				"Itay",
				"Kenya",
				"Mexico",
				"Oman",
				"Qatar",
				"Sweden",
				"Uruguay",
				"Yemen",
				"Bulgaria",
				"Denmark",
				"France",
				"Hungary",
				"Japan",
				"Latvia",
				"Netherlands",
				"Portugal",
				"Russia",
				"Turkey",
				"Venezuela",
				"Zimbabwe"
			};

		

			Random r = new Random();
			List<IGSalesmanItem> items = new List<IGSalesmanItem> ();
			for(int i = 0; i < count; i++)
			{



				IGSalesmanItem item = new IGSalesmanItem();
				int firstIndex = r.Next () % firstNames.Count;
				item.FirstName = firstNames [firstIndex];
				item.LastName = lastNames[r.Next () % lastNames.Count];


				int randomIndex = r.Next () % firstNames.Count;
				if (randomIndex == 0)
					randomIndex = 1;

				item.Territory = territories[r.Next() % territories.Count];
				item.YearToDateSales = r.Next () % 50000;

				items.Add (item);
			}

			return items;
		}

	}
}

